WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000268WeBidBiddingpublic2011-04-27 00:442015-05-04 10:20
ReporterEgon Dadalt 
Assigned Torenlok 
Priority@0@SeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.0.2 
Target VersionFixed in Version1.1.2 
Summary0000268: Value to pay more 1 quantity is wrong
Descriptionin the file pay.php (line 74) is:

$payvalue = ($data['shipping'] == 1) ? $data['shipping_cost'] + $data['bid'] : $data['bid'];



but the correct is:

$payvalue = (($data['shipping'] == 1) ? $data['shipping_cost'] + $data['bid'] : $data['bid']) * $data['qty'];



and in this file, the sql correct is:

        $query = "SELECT w.id, a.title, a.shipping_cost, a.shipping, w.bid, u.paypal_email, u.authnet_id, u.authnet_pass,

                u.id As uid, u.nick, a.payment, u.worldpay_id, u.toocheckout_id, u.moneybookers_email, w.qty

                FROM " . $DBPrefix . "auctions a

                LEFT JOIN " . $DBPrefix . "winners w ON (a.id = w.auction)

                LEFT JOIN " . $DBPrefix . "users u ON (u.id = w.seller)

                WHERE a.id = " . intval($_POST['pfval']);
TagsNo tags attached.
import_id270
Thread
Attached Files

- Relationships
duplicate of 0000253resolvedrenlok Multiple items payment page won't show the right ammount. 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 270
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2011-04-27 00:44
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2011-04-27 00:44
2015-05-04 10:17 renlok Relationship added duplicate of 0000253
2015-05-04 10:20 renlok Status new => resolved
2015-05-04 10:20 renlok Fixed in Version => 1.1.2
2015-05-04 10:20 renlok Resolution open => fixed
2015-05-04 10:20 renlok Assigned To => renlok


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker